#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n,m;
    scanf("%lli %lli",&n,&m);
    long long int br;
    br=(((m*2)+((n-2)*2))+((n-2)*(m-2))/2);
    printf("%lli",br);
    return 0;
}